import { AxiosInstance } from "axios";
import { IAnalyticsApi } from "./interfaces";
import { IGetNetflow2, IGetNetflow2Security, TGetCurves, TGetCurvesSecurity, TGetFutoi, TGetFutoiSecurity } from "./requestTypes";
export default class AnalyticsApi implements IAnalyticsApi {
    private api;
    constructor(api: AxiosInstance);
    getFutoi: TGetFutoi;
    geTGetFutoiSecurity: TGetFutoiSecurity;
    getNetflow2: IGetNetflow2;
    getNetflow2Security: IGetNetflow2Security;
    getCurves: TGetCurves;
    getCurvesSecurity: TGetCurvesSecurity;
}
