"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ESecurityTypes = void 0;
var ESecurityTypes;
(function (ESecurityTypes) {
    /** Валютный фиксинг */
    ESecurityTypes["CurrencyIndex"] = "currency_index";
    /** Акция обыкновенная */
    ESecurityTypes["CommonShare"] = "common_share";
    /** Акция привилегированная */
    ESecurityTypes["PreferredShare"] = "preferred_share";
    /** Депозитарная расписка */
    ESecurityTypes["DepositaryReceipt"] = "depositary_receipt";
    /** Валюта */
    ESecurityTypes["Currency"] = "currency";
    /** Бивалютная корзина */
    ESecurityTypes["CurrencyBasket"] = "currency_basket";
    /** Фьючерс */
    ESecurityTypes["Futures"] = "futures";
    /** Индекс ГЦБ */
    ESecurityTypes["StateIndex"] = "state_index";
    /** Стандартный контракт АО НТБ */
    ESecurityTypes["CommodityFutures"] = "commodity_futures";
    /** Аукцион товарной интервенции */
    ESecurityTypes["CommodityIntervention"] = "commodity_intervention";
    /** ОФЗ */
    ESecurityTypes["OfzBond"] = "ofz_bond";
    /** Государственная облигация */
    ESecurityTypes["StateBond"] = "state_bond";
    /** Облигация центрального банка */
    ESecurityTypes["CbBond"] = "cb_bond";
    /** Региональная облигация */
    ESecurityTypes["SubfederalBond"] = "subfederal_bond";
    /** Опцион */
    ESecurityTypes["Option"] = "option";
    /** Муниципальная облигация */
    ESecurityTypes["MunicipalBond"] = "municipal_bond";
    /** Опцион на акции */
    ESecurityTypes["OptionOnShares"] = "option_on_shares";
    /** Корпоративная облигация */
    ESecurityTypes["CorporateBond"] = "corporate_bond";
    /** Биржевая облигация */
    ESecurityTypes["ExchangeBond"] = "exchange_bond";
    /** Облигация МФО */
    ESecurityTypes["IfiBond"] = "ifi_bond";
    /** Еврооблигации */
    ESecurityTypes["EuroBond"] = "euro_bond";
    /** Пай открытого ПИФа */
    ESecurityTypes["PublicPpif"] = "public_ppif";
    /** Пай интервального ПИФа */
    ESecurityTypes["IntervalPpif"] = "interval_ppif";
    /** Индекс РТС */
    ESecurityTypes["RtsIndex"] = "rts_index";
    /** Пай закрытого ПИФа */
    ESecurityTypes["PrivatePpif"] = "private_ppif";
    /** Ипотечный сертификат */
    ESecurityTypes["StockMortgage"] = "stock_mortgage";
    /** ETF */
    ESecurityTypes["EtfPpif"] = "etf_ppif";
    /** Индекс фондового рынка */
    ESecurityTypes["StockIndex"] = "stock_index";
    /** Пай биржевого ПИФа */
    ESecurityTypes["ExchangePpif"] = "exchange_ppif";
    /** Товарный индикатор */
    ESecurityTypes["StockIndexCi"] = "stock_index_ci";
    /** Индекс акций */
    ESecurityTypes["StockIndexEq"] = "stock_index_eq";
    /** iNAV смешанный */
    ESecurityTypes["StockIndexIm"] = "stock_index_im";
    /** Индекс облигаций */
    ESecurityTypes["StockIndexFi"] = "stock_index_fi";
    /** iNAV акций */
    ESecurityTypes["StockIndexIe"] = "stock_index_ie";
    /** Индекс составной */
    ESecurityTypes["StockIndexMx"] = "stock_index_mx";
    /** iNAV облигаций */
    ESecurityTypes["StockIndexIf"] = "stock_index_if";
    /** Индекс НТБ */
    ESecurityTypes["StockIndexNamex"] = "stock_index_namex";
    /** Металл золото */
    ESecurityTypes["GoldMetal"] = "gold_metal";
    /** Металл серебро */
    ESecurityTypes["SilverMetal"] = "silver_metal";
    /** Валютный фьючерс */
    ESecurityTypes["CurrencyFutures"] = "currency_futures";
    /** Валютный фиксинг */
    ESecurityTypes["CurrencyFixing"] = "currency_fixing";
    /** Средневзвешенный курс */
    ESecurityTypes["CurrencyWap"] = "currency_wap";
    /** Депозит с ЦК */
    ESecurityTypes["StockDeposit"] = "stock_deposit";
    /** Коммерческая облигация */
    ESecurityTypes["NonExchangeBond"] = "non_exchange_bond";
    /** Кредит */
    ESecurityTypes["StockCredit"] = "stock_credit";
    /** Корзина РЕПО */
    ESecurityTypes["StockRepoBasket"] = "stock_repo_basket";
    /** Сахар */
    ESecurityTypes["AgroSugar"] = "agro_sugar";
})(ESecurityTypes = exports.ESecurityTypes || (exports.ESecurityTypes = {}));
