import { IMetaDataItem, TData } from "src/types/interfaces";
declare enum IColumnsCursor {
    Index = "INDEX",
    Total = "TOTAL",
    Pagesize = "PAGESIZE"
}
export interface ISecurityGroupCollectionInfoResponse {
    securities: {
        metadata: {
            [key: string]: IMetaDataItem;
        };
        columns: string[];
        data: TData;
    };
    "securities.cursor": {
        metadata: {
            [key in keyof typeof IColumnsCursor]: IMetaDataItem;
        };
        columns: [keyof typeof IColumnsCursor];
        data: number[][];
    };
}
export {};
