import { AxiosInstance } from "axios";
import { IInfoApi } from "./interfaces";
import { TGetEvents, TGetEventsDetail, TGetHandbooks, TGetNews, TGetNewsDetail, TGetTurnovers, TGetTurnoversColumns } from "./requestTypes";
export default class InfoApi implements IInfoApi {
    private api;
    constructor(api: AxiosInstance);
    getHandbooks: TGetHandbooks;
    getEvents: TGetEvents;
    getEventsDetail: TGetEventsDetail;
    getNews: TGetNews;
    getNewsDetail: TGetNewsDetail;
    getTurnovers: TGetTurnovers;
    getTurnoversColumns: TGetTurnoversColumns;
}
