import { AxiosInstance } from "axios";
import { ISecurityApi } from "./interfaces";
import { TGetSecurities, TGetSecurityAggregateTradingResult, TGetSecurityGroupCollection, TGetSecurityGroupCollectionInfo, TGetSecurityGroups, TGetSecurityIndexes, TGetSecuritySpecification, TGetSecurityTypes } from "./requestTypes";
export default class SecurityApi implements ISecurityApi {
    private api;
    constructor(api: AxiosInstance);
    getSecurityTypes: TGetSecurityTypes;
    getSecurityGroups: TGetSecurityGroups;
    getSecurityGroupCollection: TGetSecurityGroupCollection;
    getSecurityGroupCollectionInfo: TGetSecurityGroupCollectionInfo;
    getSecurities: TGetSecurities;
    getSecuritySpecification: TGetSecuritySpecification;
    getSecurityIndexes: TGetSecurityIndexes;
    getSecurityAggregateTradingResult: TGetSecurityAggregateTradingResult;
}
