import { IMetaDataItem, TData } from "src/types/interfaces";
declare enum IColumns {
    Id = "id",
    Name = "name",
    Title = "title"
}
declare enum IBoardColumns {
    Id = "id",
    Name = "name",
    Title = "title",
    IsTraded = "is_traded",
    Category = "category"
}
export interface ISecurityGroupCollectionResponse {
    collections: {
        metadata: {
            [key in keyof typeof IColumns]: IMetaDataItem;
        };
        columns: [keyof typeof IColumns];
        data: TData;
    };
    boardgroups?: {
        metadata: {
            [key in keyof typeof IBoardColumns]: IMetaDataItem;
        };
        columns: [keyof typeof IBoardColumns];
        data: TData;
    };
}
export {};
